Bug 1346171 - Probably false positive warning about old seamonkey-2.40
Probably false positive warning about old seamonkey-2.40
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-14 03:40 EDT by Jaroslav Škarvada
Modified: 2016-07-02 19:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: seamonkey-2.40-3.fc24 seamonkey-2.40-2.fc23 seamonkey-2.40-2.fc22 seamonkey-2.40-2.el6 seamonkey-2.40-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-22 19:54:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2016-06-14 03:40:19 EDT
Description of problem:
Today (2016-06-14) red bar started showing in Seamonkey saying:
"Your copy of SeaMonkey is old and probably has known security flaws, but you have disabled automatic update checks. Please update to a newer version."

I have SeaMonkey 2.40, so it seems there is no newer version I could upgrade to. The warning shows also for newly created users with clean profile.

Version-Release number of selected component (if applicable):
seamonkey-2.40-1.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run seamonkey

Actual results:
Red warning bar with the following text:
"Your copy of SeaMonkey is old and probably has known security flaws, but you have disabled automatic update checks. Please update to a newer version."

Expected results:
No warning bar

Additional info:
This maybe temporally upstream fault.

$ rpm -qV seamonkey
[nothing]
Comment 1 Jaroslav Škarvada 2016-06-14 03:46:19 EDT
I am not sure whether it is related (probably isn't) but I noted a lot of following messages on the console:

addons.update-checker	WARN	Update manifest for langpack-
cs@seamonkey.mozilla.org did not contain an updates property
Comment 2 Dmitry Butskoy 2016-06-14 05:02:29 EDT
Actually Seamonkey-2.40 is the last released version.

Unfortunately, 2.41-2.43 are skipped to release, hence there is enough time slot to trigger "you have very old version" report mechanism for end users.

To switch this message off, go to "about:config" and add "app.updatecheck.override" boolean set to "true". (There is no such a boolean by default, hence add the new one by the right mouse click somewhere in about:config page).
Comment 3 Fedora Update System 2016-06-14 17:58:32 EDT
seamonkey-2.40-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c525157d83
Comment 4 Fedora Update System 2016-06-14 17:59:21 EDT
seamonkey-2.40-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-21e3a70336
Comment 5 Fedora Update System 2016-06-14 18:00:13 EDT
seamonkey-2.40-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2138174e7
Comment 6 Fedora Update System 2016-06-14 18:00:56 EDT
seamonkey-2.40-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-15e09d364b
Comment 7 Fedora Update System 2016-06-14 18:01:37 EDT
seamonkey-2.40-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1ead5ad34
Comment 8 Fedora Update System 2016-06-15 12:56:33 EDT
seamonkey-2.40-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c525157d83
Comment 9 Fedora Update System 2016-06-15 13:24:56 EDT
seamonkey-2.40-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2138174e7
Comment 10 Fedora Update System 2016-06-15 13:27:34 EDT
seamonkey-2.40-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-21e3a70336
Comment 11 Fedora Update System 2016-06-16 11:18:52 EDT
seamonkey-2.40-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-15e09d364b
Comment 12 Fedora Update System 2016-06-16 11:19:18 EDT
seamonkey-2.40-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a1ead5ad34
Comment 13 Fedora Update System 2016-06-22 19:54:28 EDT
seamonkey-2.40-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-06-23 00:53:17 EDT
seamonkey-2.40-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-06-23 01:19:39 EDT
seamonkey-2.40-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-07-02 12:19:47 EDT
seamonkey-2.40-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-07-02 19:50:00 EDT
seamonkey-2.40-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.